package probe

import (
	cwfc "git.loafle.net/commons_go/websocket_fasthttp/client"
	oocmp "git.loafle.net/overflow/overflow_commons_go/modules/probe"
	oopcc "git.loafle.net/overflow/overflow_probes/client/central"
)

func newSocketBuilder() cwfc.SocketBuilder {
	sb := &SocketBuilders{}
	sb.SocketBuilders = oopcc.NewSocketBuilder(oocmp.HTTPEntry_Probe)
	if nil == sb.SocketBuilders {
		return nil
	}
	sb.SocketHandler = newSocketHandler()

	return sb
}

type SocketBuilders struct {
	*oopcc.SocketBuilders
}

func (sb *SocketBuilders) Validate() {
	sb.SocketBuilders.Validate()

}
